%global srcname lit

%if 0%{?fedora}
%global with_python3 1
%endif

%if 0%{?rhel} >= 8
%global with_python3 1 
%endif

Name: python-%{srcname}
Version: 0.7.1
Release: 1%{?dist}
BuildArch: noarch

License: NCSA
Group: Development/Languages
Summary: Tool for executing llvm test suites
URL: https://pypi.python.org/pypi/lit
Source0: https://files.pythonhosted.org/packages/ee/19/89553646a07f35c49f9540f519c8d9543e8799736276756d203c697c0a13/lit-0.7.1.tar.gz

BuildRequires: python3-setuptools
%if 0%{?with_python3}
BuildRequires: python3-devel
%endif

%description
lit is a tool used by the LLVM project for executing its test suites.

%if 0%{?with_python3}
%package -n python3-lit
Summary: LLVM lit test runner for Python 3
Group: Development/Languages
Requires: platform-python-setuptools
%endif

%if 0%{?with_python3}
%description -n python3-lit
lit is a tool used by the LLVM project for executing its test suites.
%endif

%prep
%autosetup -n %{srcname}-%{version}

%build
%if 0%{?with_python3}
%py3_build
%endif

%install
%if 0%{?with_python3}
%py3_install "--prefix" "%{_prefix}"
%endif

# Strip out #!/usr/bin/env python
%if 0%{?with_python3}
sed -i -e '1{\@^#!/usr/bin/env python@d}' %{buildroot}%{python3_sitelib}/%{srcname}/*.py
%endif

%check
%if 0%{?with_python3}
# FIXME: Tests fail with python3
#{__python3} setup.py test
%endif

%if 0%{?with_python3}
%files -n python3-%{srcname}
%doc README.txt
%{python3_sitelib}/*
%{_bindir}/lit
%endif

%changelog
* Fri Dec 14 2018 Tom Stellard <tstellar@redhat.com> - 0.7.1-1
- 0.7.1 Release

* Tue Nov 27 2018 Tom Stellard <tstellar@redhat.com> - 0.7.0-1
- 0.7.0 Release

* Fri Nov 16 2018 Lumír Balhar <lbalhar@redhat.com> - 0.6.0-6
- Require platform-python-setuptools instead of python3-setuptools
- Resolves: rhbz#1650540

* Mon Oct 01 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-5
- Drop SCL macros

* Wed Sep 12 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-4
- Use versioned python dependencies (python3)

* Mon Aug 27 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-3
- Fix python3 install

* Mon Aug 27 2018 Tom Stellard <tstellar@redhat.com> - 0.6.0-2
- Enable python3

* Tue Jul 10 2018 Tom Stellrad <tstellar@redhat.com> - 0.6.0-1
- 0.6.0 Release

* Mon Jul 02 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-4
- Drop python2

* Tue Jun 12 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-3
- Add BuildRequires: scl-utils-build

* Thu Jan 11 2018 Tom Stellard - 0.5.1-2
- Fix build on RHEL8

* Tue Jan 09 2018 Tom Stellard <tstellar@redhat.com> - 0.5.1-1
- Rebase to 0.5.1

* Thu Jun 08 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-7
- Build for llvm-toolset-7 rename

* Thu May 18 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-6
- Fix package names

* Wed May 10 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-5
- Next attempt to add runtime dependency on python-setuptools

* Tue May 09 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-4
- Properly add missing runtime dependency to python-setuptools

* Tue May 09 2017 Tilmann Scheller <tschelle@redhat.com> - 0.5.0-3
- Add missing runtime dependency to python-setuptools

* Fri Apr 28 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-2
- Add llvm-toolset-4 scl support

* Thu Mar 09 2017 Tom Stellard <tstellar@redhat.com> - 0.5.0-1
- Initial version
